%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif


%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libphdi
Version:	20201003
Release:	2%{?dist}
Summary:	Library to access the Parallels Hard Disk image format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libphdi/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool fuse-devel byacc flex

%description
libphdi is a library to access the Parallels Hard Disk image format

%package devel
Summary: Header files and libraries for developing applications for libphdi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libphdi.

%package tools
Summary: Several tools for reading Parallels Hard Disk image files
Group: Applications/System
Requires: %{name} = %{version}-%{release} fuse-libs
BuildRequires: fuse-devel

%description tools
Several tools for reading Parallels Hard Disk image files

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libphdi
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libphdi
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libphdi
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} 
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libphdi
%endif

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/phdiinfo
%attr(755,root,root) %{_bindir}/phdimount
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20201003-2
* Release 20201003-2
	Release 2 - Removed Python 2 package

* Sat Oct  3 2020 Lawrence R. Rogers <lrr@cert.org> 20201003-1
* Release 20201003-1
	Version from 20201003

* Mon May  6 2019 Lawrence R. Rogers <lrr@cert.org> 20190506-1
* Release 20190506-1
	Version from 20190506

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181101-2
* Release 20181101-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7
		    -python package renamed -python2

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version from 20181101

* Thu Jul  6 2017 Joachim Metz <joachim.metz@gmail.com> 20170529-1
- Auto-generated

